summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca BRUNO <luca.bruno@coreos.com>2021-10-19 08:03:09 +0000
committerLuca BRUNO <luca.bruno@coreos.com>2021-10-19 08:03:09 +0000
commitf93d96620c63a5999b87bdd78456d21970a15c4f (patch)
tree2cdd05cb03c65a009801a7f1e5e555c0194bf075
parent5d045f3ae1a0cec43c117c497e9fa980ea2e474d (diff)
downloadostree-f93d96620c63a5999b87bdd78456d21970a15c4f.tar.gz
tests/var-mount: tweak test setup
This reworks the var-mount destructive test in order to properly use the datadir for the current stateroot instead of a duplicated one. In turn, it ensures that the resulting `var.mount` after reboot is correctly pointing to the same location which hosted `/var` on the previous boot.
-rwxr-xr-xtests/kolainst/destructive/var-mount.sh9
1 files changed, 3 insertions, 6 deletions
diff --git a/tests/kolainst/destructive/var-mount.sh b/tests/kolainst/destructive/var-mount.sh
index 86c69fd1..ff615f88 100755
--- a/tests/kolainst/destructive/var-mount.sh
+++ b/tests/kolainst/destructive/var-mount.sh
@@ -6,12 +6,9 @@ set -xeuo pipefail
case "${AUTOPKGTEST_REBOOT_MARK:-}" in
"")
- require_writable_sysroot
- # Hack this off for now
- chattr -i /sysroot
- cp -a /var /sysroot/myvar
- touch /sysroot/myvar/somenewfile
- echo '/sysroot/myvar /var none bind 0 0' >> /etc/fstab
+ touch "/var/somenewfile"
+ stateroot=$(ostree admin status 2> /dev/null | grep '^\*' | cut -d ' ' -f2 || true)
+ echo "/sysroot/ostree/deploy/${stateroot}/var /var none bind 0 0" >> /etc/fstab
/tmp/autopkgtest-reboot "2"
;;
"2")